(function () {
    $(".proCitySelAll").click(function (event) {
        $(this).select();
        $(".provinceCity").hide();
        $(".provinceCityAll").hide();
        $("#dimCityQuery").hide();
        var o2 = $(this).offset();
        var l2 = o2.left;
        var t2 = o2.top;
        var h2 = $(this).height();
        $(".provinceCityAll").css("top", 38).css("left", 140).toggle();
        $(".provinceCityAll").click(function (event) {
            event.stopPropagation();
        });
        event.stopPropagation();
        $("html").click(function () {
            $(".provinceCityAll").hide();
        });
        $("input.proCitySelAll").removeClass("current2");
        $(this).addClass("current2");
        $(".provinceCityAll").find(".tabs").find("a").removeClass("current");
        $(".provinceCityAll").find(".tabs").find("a[tb=hotCityAll]").addClass("current");
        $(".provinceCityAll").find(".con").children().hide();
        $(".provinceCityAll").find(".con").find(".hotCityAll").show();
        $(".provinceCityAll").find(".tabs").find("a").click(function () {
            if ($(this).attr("tb") == "cityAll" && $(".provinceAll .list .current").val() == null) {
                return;
            };
            if ($(this).attr("tb") == "countyAll" && $(".cityAll .list .current").val() == null && $(".hotCityAll .list .current").val() == null) {
                return;
            };
            $(".provinceCityAll").find(".tabs").find("a").removeClass("current");
            $(this).addClass("current");
            var tb = $(this).attr("tb");
            $(".provinceCityAll").find(".con").children().hide();
            $(".provinceCityAll").find(".con").find("." + tb).show();
        });
    });
})();